Name:           qtscrob
Version:        0.11
Release:        1%{?dist}
Summary:        Qt last.fm submitter for portable music devices

# License file indicates GPLv2+
License:        GPLv2
URL:            http://qtscrob.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  /usr/bin/desktop-file-validate

%description
qtscrob is a Qt app for editing and uploading information about listened
tracks to last.fm (formerly known as audioscrobbler). qtscrob can retrieve
this information from iPods, MTP (aka Plays for Sure) or Rockbox devices.

%package -n scrobbler
Summary:        Console-based last.fm submitter for portable music devices

%description -n scrobbler
scrobble-cli is a console based app for uploading information about listened
tracks to last.fm (formerly known as audioscrobbler). scrobble-cli can
retrieve this information from iPods, MTP (aka Plays for Sure) or Rockbox.

%prep
%autosetup
# fixup EOL and Icon
sed -i -e 's/\r//' -e '/Icon=/s/\.png//' src/qt/%{name}.desktop

%build
pushd src
  %qmake_qt4 PREFIX=%{_prefix}
  %make_build
popd

%install
pushd src
  %make_install INSTALL_ROOT=%{buildroot}
popd

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files -n scrobbler
%license COPYING
%{_bindir}/scrobbler
%{_mandir}/man1/scrobbler.1*

%changelog
* Thu Feb 18 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.11-1
- Initial package
